## python-httpretty 0.8.0

=== Makefile ===
all: check_dependencies unit functional doctests

filename=httpretty-`python -c 'import httpretty;print httpretty.version'`.tar.gz

export HTTPRETTY_DEPENDENCIES:= nose sure
export PYTHONPATH:= ${PWD}

check_dependencies:
	@echo "Checking for dependencies to run tests ..."
	@for dependency in `echo $$HTTPRETTY_DEPENDENCIES`; do \
		python -c "import $$dependency" 2>/dev/null || (echo "You must install $$dependency in order to run httpretty's tests" && exit 3) ; \
		done

test: unit functional doctests

unit: prepare
	@echo "Running unit tests ..."
	@nosetests -s tests/unit

functional: prepare
	@echo "Running functional tests ..."
	@nosetests -s tests/functional

doctests: prepare
	@echo "Running documentation tests tests ..."
	@steadymark README.md

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; done
	@echo "OK!"

release: clean unit functional
	@echo "Releasing httpretty..."
	@./.release
	@python setup.py sdist register upload

docs: doctests
	@pandoc -o readme.rst README.md
	@markment -o . -t ./theme --sitemap-for="http://falcao.it/HTTPretty" docs

deploy-docs:
	@git co master && \
		(git br -D gh-pages || printf "") && \
		git checkout --orphan gh-pages && \
		markment -o . -t ./theme --sitemap-for="http://falcao.it/HTTPretty" docs && \
		git add . && \
		git commit -am 'documentation' && \
		git push --force origin gh-pages && \
		git checkout master

prepare:
	@reset

=== debian/changelog ===
python-httpretty (0.8.0-0ubuntu3) trusty; urgency=medium

  * debian/rules: Really disable tests.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Feb 2014 08:58:58 -0500

python-httpretty (0.8.0-0ubuntu2) trusty; urgency=medium

  * debian/rules: Temporarily disable tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Feb 2014 14:15:49 -0500

python-httpretty (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - debian/patches/fix-ubuntu-tests.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Feb 2014 09:31:38 -0500

python-httpretty (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release. 
  * debian/control:
    - Drop python-misaka dependency, not needed.
    - Replaced python-httplib2 run time dependency with python-urllib3.
    - Added python-tornado as a build time dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Feb 2014 11:06:33 -0500

python-httpretty (0.7.0-0ubuntu2) trusty; urgency=low

  * debian/control:
    - Dont install python-nose and python-mock as a runtime dependency.
    - Add python-sure as a build-dependency.
  * debian/rules: Enable testsuite.
  * debian/patches/fix-ubuntu-tests.patch:  Fix testsuite to build with Ubuntu.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 Nov 2013 10:31:10 -0500

python-httpretty (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release. 
  * debian/watch: Fixed url.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Oct 2013 14:46:42 -0700

python-httpretty (0.6.3+20130727+git9d03c1cf-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/copyright source field.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 13:46:26 +0800

python-httpretty (0.6.2-2) unstable; urgency=low

  * Fixed debian/copyright

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2013 20:07:17 +0800

python-httpretty (0.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #721517).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Sep 2013 22:09:02 +0800

=== debian/control ===
Source: python-httpretty
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~), python-urllib3, python-sure,
               python-setuptools, python-mock, python-nose, python-requests,
               python-tornado, python-urllib3, python-httplib2
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-httpretty.git
Vcs-Git: git://anonscm.debian.org/openstack/python-httpretty.git
Homepage: http://github.com/gabrielfalcao/httpretty

Package: python-httpretty
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-urllib3,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: HTTP client mock for Python
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/gabrielfalcao/HTTPretty.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

#override_dh_auto_test:
#	nosetests || true

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/httpretty/httpretty-(.*).tar.gz

## python-httpretty 0.8.6

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,10 @@
 release: clean unit functional
 	@echo "Releasing httpretty..."
 	@./.release
-	@python setup.py sdist register upload
+	@python setup.py sdist bdist_wheel register upload
 
 docs: doctests
-	@pandoc -o readme.rst README.md
+	@pandoc -o README.rst README.md
 	@markment -o . -t ./theme --sitemap-for="http://falcao.it/HTTPretty" docs
 
 deploy-docs:

=== debian/changelog ===
python-httpretty (0.8.6-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 19:51:29 +0000

python-httpretty (0.8.6-1) experimental; urgency=medium

  * New upstream release.
  * Added export http{s,}_proxy.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 12:01:53 +0200

python-httpretty (0.8.3-2) experimental; urgency=medium

  * Adds a patch to remove non-ascii chars from source.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 11:22:29 +0200

python-httpretty (0.8.3-1) experimental; urgency=medium

  * New upstream release.
  * Added a lintian-overrides for theme/assets/js/prefixfree.min.js: the file
    isn't minifed, so it's ok.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Mar 2015 11:10:36 +0100

python-httpretty (0.8.0-2) unstable; urgency=medium

  * Added python3 support.
  * Allow the unit tests to fail, because they do with the last version of
    python-sure (Closes: #746118).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 15:44:09 +0800

python-httpretty (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed tests removal, because upstream did remove the tests files from the
    setup.py.
  * reviewed (build-)dependencies.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Mar 2014 22:20:14 +0800

python-httpretty (0.7.1-3) unstable; urgency=medium

  * Do not package the test folder. (Closes: #738210)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 18:06:15 +0800

python-httpretty (0.7.1-2) unstable; urgency=medium

  * Added missing build-depends: python-mock, python-nose.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 15:18:07 +0800

python-httpretty (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Adds unit tests run.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 16:09:41 +0800

=== debian/control ===
Source: python-httpretty
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-requests,
                     python-sure,
                     python-tornado,
                     python-urllib3,
                     python3-httplib2,
                     python3-mock,
                     python3-nose,
                     python3-requests,
                     python3-sure,
                     python3-tornado,
                     python3-urllib3,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-httpretty.git
Vcs-Git: git://anonscm.debian.org/openstack/python-httpretty.git
Homepage: http://github.com/gabrielfalcao/httpretty

Package: python-httpretty
Architecture: all
Depends: python-urllib3,
         ${misc:Depends},
         ${python:Depends},
Description: HTTP client mock - Python 2.x
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.
 .
 This package provides the Python 2.x module.

Package: python3-httpretty
Architecture: all
Depends: python3-urllib3,
         ${misc:Depends},
         ${python3:Depends},
Description: HTTP client mock - Python 3.x
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/gabrielfalcao/HTTPretty.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-httpretty; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-httpretty; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	nosetests tests/unit || true
	#nosetests3 tests/unit || true
endif

## python-httpretty 0.8.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,14 @@
-all: check_dependencies unit functional doctests
+# Config
+OSNAME			:= $(shell uname)
+
+ifeq ($(OSNAME), Linux)
+OPEN_COMMAND		:= gnome-open
+else
+OPEN_COMMAND		:= open
+endif
+
+
+all: check_dependencies unit functional acceptance
 
 filename=httpretty-`python -c 'import httpretty;print httpretty.version'`.tar.gz
 
@@ -11,17 +21,21 @@
 		python -c "import $$dependency" 2>/dev/null || (echo "You must install $$dependency in order to run httpretty's tests" && exit 3) ; \
 		done
 
-test: unit functional doctests
+test: unit functional acceptance
 
-unit: prepare
+lint:
+	@echo "Checking code style ..."
+	@flake8 --show-source --ignore=F821,E901 httpretty
+
+unit: prepare lint
 	@echo "Running unit tests ..."
-	@nosetests -s tests/unit
+	@nosetests --rednose -x --with-randomly --with-coverage --cover-package=httpretty -s tests/unit
 
 functional: prepare
 	@echo "Running functional tests ..."
-	@nosetests -s tests/functional
+	@nosetests --rednose -x --with-coverage --cover-package=httpretty -s tests/functional
 
-doctests: prepare
+acceptance: prepare
 	@echo "Running documentation tests tests ..."
 	@steadymark README.md
 
@@ -35,9 +49,9 @@
 	@./.release
 	@python setup.py sdist bdist_wheel register upload
 
-docs: doctests
-	@pandoc -o README.rst README.md
-	@markment -o . -t ./theme --sitemap-for="http://falcao.it/HTTPretty" docs
+docs: acceptance
+	@cd docs && make html
+	$(OPEN_COMMAND) docs/build/html/index.html
 
 deploy-docs:
 	@git co master && \
@@ -51,3 +65,6 @@
 
 prepare:
 	@reset
+
+
+.PHONY: docs

=== requirements.txt ===
# HTTPretty doesn't have any requirements per se so far. yay!

=== debian/changelog ===
python-httpretty (0.8.14-2+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python{3,}-all build dependency
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 19:45:21 +0000

python-httpretty (0.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #815851)
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright
    - Changed source URL to https protocol
    - Reordered
    - Added myself to Debian part
  * Removed removes-non-ascii-char-from-source.patch (not needed)
  * Don't ignore unittests results during build and enable Py3 tests
  * Enabled autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * Install upstream changelog

 -- Ondřej Nový <novy@ondrej.org>  Tue, 24 May 2016 14:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
-               python3-all (>= 3.2),
+               python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-coverage,
                      python-httplib2,
@@ -25,10 +25,11 @@
                      python3-sure,
                      python3-tornado,
                      python3-urllib3,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-httpretty.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-httpretty.git
-Homepage: http://github.com/gabrielfalcao/httpretty
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-httpretty?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-httpretty -b debian/newton
+Homepage: https://github.com/gabrielfalcao/httpretty
+Testsuite: autopkgtest-pkg-python
 
 Package: python-httpretty
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/gabrielfalcao/HTTPretty.git
+UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
@@ -24,6 +24,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	nosetests tests/unit || true
-	#nosetests3 tests/unit || true
+	nosetests tests/unit
+	nosetests3 tests/unit
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/NEWS.md

## python-httpretty 0.9.5

=== Makefile ===
# Config
OSNAME			:= $(shell uname)

ifeq ($(OSNAME), Linux)
OPEN_COMMAND		:= gnome-open
else
OPEN_COMMAND		:= open
endif


all: lint unit functional docs

export PYTHONPATH		:= ${PWD}
export PYTHONASYNCIODEBUG	:=1

dependencies:
	@pip install -U pip
	@pip install pipenv
	@pipenv install --dev --skip-lock

test: lint unit functional pyopenssl

lint: prepare
	@echo "Checking code style ..."
	@pipenv run flake8 --show-source httpretty tests

unit: prepare
	@echo "Running unit tests ..."
	@pipenv run nosetests --cover-erase tests/$@

functional: prepare
	@echo "Running functional tests ..."
	@pipenv run nosetests --cover-erase tests/$@

pyopenssl: prepare
	@echo "Running PyOpenSSL mocking tests ..."
	@pipenv install --skip-lock ndg-httpsclient
	@pipenv run nosetests --rednose -x --with-coverage --cover-package=httpretty -s tests/pyopenssl

clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; done
	@echo "OK!"
	@printf "Deleting built documentation"
	@rm -rf docs/build
	@printf "Deleting dist files"
	@rm -rf dist

release: lint unit functional docs
	@rm -rf dist/*
	@make rogue-release

rogue-release:
	@./.release
	@make pypi

pypi:
	@pipenv run python setup.py build sdist
	@pipenv run twine upload dist/*.tar.gz

docs:
	@cd docs && make html
	$(OPEN_COMMAND) docs/build/html/index.html

prepare:
	@reset


.PHONY: docs

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = HTTPretty
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-httpretty (0.9.5-6) unstable; urgency=medium

  * Team upload.
  * Use pybuild to build package again.
  * Bump debhelper compat level to 12 again.
  * Sync d/changelog of 0.9.5-4 and 0.9.5-5 with archive reality.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 13:44:06 +0200

python-httpretty (0.9.5-5) unstable; urgency=medium

  * Lower debhelper compat level to 11.
  * Use openstack-pkg-tools instead of pybuild to build package.
  * Add python3-coverage to B-D.
  * Remove versioned depends of python3-six.
  * Bump required version of openstack-pkg-tools.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 14:00:13 +0200

python-httpretty (0.9.5-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.
  * Drop Python 2 support (Closes: #937818).

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 12:05:49 +0200

python-httpretty (0.9.5-3) unstable; urgency=medium

  [ Ben Finney & Thomas Goirand ]
  * Add a patch to correct upstream bug with matching URIs.
    (Closes: #919599).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Jan 2019 15:00:06 +0100

python-httpretty (0.9.5-2) unstable; urgency=medium

  * Add RES_OPTIONS=attempts:0 to avoid resolving in unit tests.
  * Remove test that is doing network access during the build. Thanks to
    Adrian Bunk for the bug report (Closes: #909287).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Sep 2018 10:12:41 +0200

python-httpretty (0.9.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removed version from python{3,}-all build dependency
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch to remove with-randomly from setup.cfg's nose config.
  * Add remove-broken-test.patch.
  * Using python -m nose to run tests on all Py versions.
  * Do not install docs/NEWS.md which doesn't exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Sep 2018 15:35:26 +0000

=== debian/control ===
Source: python-httpretty
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-httplib2,
 python3-mock,
 python3-nose,
 python3-rednose,
 python3-requests,
 python3-six,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.websupport,
 python3-sure,
 python3-tornado,
 python3-tz,
 python3-urllib3,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-httpretty
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-httpretty.git
Homepage: https://github.com/gabrielfalcao/httpretty
Testsuite: autopkgtest-pkg-python

Package: python3-httpretty
Architecture: all
Depends:
 python3-six,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: HTTP client mock - Python 3.x
 Once upon a time a Python developer wanted to use a RESTful API, everything
 was fine but until the day he needed to test the code that hits the RESTful
 API: what if the API server is down? What if its content has changed ?
 .
 Don't worry, HTTPretty is here for you.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9
export RES_OPTIONS=attempts:0

export PYBUILD_NAME=httpretty
export PYBUILD_TEST_ARGS=tests/unit

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/httpretty httpretty-(.*).tar.gz

## python-httpretty 1.1.4

=== Makefile ===
.PHONY: tests all unit functional clean dependencies tdd docs html purge dist setup

GIT_ROOT		:= $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
DOCS_ROOT		:= $(GIT_ROOT)/docs
HTML_ROOT		:= $(DOCS_ROOT)/build/html
VENV_ROOT		:= $(GIT_ROOT)/.venv
VENV			?= $(VENV_ROOT)
DOCS_INDEX		:= $(HTML_ROOT)/index.html

export VENV
export PYTHONASYNCIODEBUG	:=1


all: dependencies tests

$(VENV):  # creates $(VENV) folder if does not exist
	python3 -mvenv $(VENV)
	$(VENV)/bin/pip install -U pip setuptools

$(VENV)/bin/sphinx-build $(VENV)/bin/twine $(VENV)/bin/nosetests $(VENV)/bin/pytest $(VENV)/bin/python $(VENV)/bin/pip: # installs latest pip
	test -e $(VENV)/bin/pip || make $(VENV)
	$(MAKE) setup

setup: | $(VENV)/bin/pip
	$(VENV)/bin/pip install -r development.txt
	$(VENV)/bin/pip install -e .

# Runs the unit and functional tests
tests: unit bugfixes functional pyopenssl


tdd: $(VENV)/bin/nosetests  # runs all tests
	$(VENV)/bin/nosetests tests --with-watch --cover-erase

# Install dependencies
dependencies: | setup $(VENV)/bin/nosetests

# runs unit tests
unit: $(VENV)/bin/nosetests  # runs only unit tests
	$(VENV)/bin/nosetests --cover-erase tests/unit


pyopenssl: $(VENV)/bin/nosetests
	$(VENV)/bin/nosetests --cover-erase tests/pyopenssl

bugfixes: $(VENV)/bin/nosetests $(VENV)/bin/pytest   # runs tests for specific bugfixes
	$(VENV)/bin/nosetests tests/bugfixes/nosetests
	$(VENV)/bin/pytest --maxfail=1 --mypy tests/bugfixes/pytest

# runs functional tests
functional: $(VENV)/bin/nosetests  # runs functional tests
	$(VENV)/bin/nosetests tests/functional



$(DOCS_INDEX): $(VENV)/bin/sphinx-build
	cd docs && make html

html: $(DOCS_INDEX) $(VENV)/bin/sphinx-build

docs: $(DOCS_INDEX) $(VENV)/bin/sphinx-build
	open $(DOCS_INDEX)

release: | clean tests html
	@rm -rf dist/*
	@./.release
	@make pypi

dist: | clean
	$(VENV)/bin/python setup.py build sdist

pypi: dist | $(VENV)/bin/twine
	$(VENV)/bin/twine upload dist/*.tar.gz

# cleanup temp files
clean:
	rm -rf $(HTML_ROOT) build dist


# purge all virtualenv and temp files, causes everything to be rebuilt
# from scratch by other tasks
purge: clean
	rm -rf $(VENV)

=== docs/Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
 # Minimal makefile for Sphinx documentation
 #
+GIT_ROOT	:= $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST)))/..)
+VENV_ROOT	:= $(GIT_ROOT)/.venv
+VENV		?= $(VENV_ROOT)
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = $(VENV)/bin/sphinx-build
 SPHINXPROJ    = HTTPretty
 SOURCEDIR     = source
 BUILDDIR      = build

=== debian/changelog ===
python-httpretty (1.1.4-4) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1060686).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2024 14:24:18 +0100

python-httpretty (1.1.4-3) unstable; urgency=medium

  * Switch to pytest instead of nose (Closes: #1018511).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Aug 2023 17:12:13 +0200

python-httpretty (1.1.4-2) unstable; urgency=medium

  * Cleans better (Closes: #1047382).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:55:47 +0200

python-httpretty (1.1.4-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Oct 2021 23:07:22 +0200

python-httpretty (1.0.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.0.5.
  * d/watch: point file correctly to be detected by uscan
  * d/patches: update patches:
    - Remove python-3.9-threading.isAlive-is-removed.patch (not needed).
    - Remove remove-with-randomly.patch (not needed).
  * d/control: add python3-freezegun build dependency.
  * d/control: bump debhelper-compat to 13 (from 12).
  * d/control: bump Standards-Version to 4.5.1 (from 4.4.1).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 04 May 2021 18:43:33 -0300

python-httpretty (0.9.5-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Add python-3.9-threading.isAlive-is-removed.patch (Closes: #972721).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Oct 2020 01:44:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
+ python3-freezegun,
  python3-setuptools,
 Build-Depends-Indep:
  python3-coverage,
  python3-httplib2,
  python3-mock,
- python3-nose,
- python3-rednose,
  python3-requests,
- python3-six,
+ python3-pytest,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.websupport,
@@ -25,7 +24,7 @@
  python3-tornado,
  python3-tz,
  python3-urllib3,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-httpretty
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-httpretty.git
 Homepage: https://github.com/gabrielfalcao/httpretty
@@ -34,7 +33,6 @@
 Package: python3-httpretty
 Architecture: all
 Depends:
- python3-six,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gabrielfalcao/HTTPretty.git
-include /usr/share/openstack-pkg-tools/pkgos.make

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9
#export RES_OPTIONS=attempts:0

export PYBUILD_NAME=httpretty
export PYBUILD_TEST_ARGS=-v tests/unit

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild .pytest_cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/httpretty/httpretty-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
